import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

import hilfsklassen.Bilder;

import bauteile.*;

public class Rasterlayout extends Canvas
{
     private Image rasterbild = null;

     private Widerstand r1,r2,r3;
     private Bruecke b1,b2;

     private ArrayList<BauteilInterface> bauteile = new ArrayList<BauteilInterface>();

     public Rasterlayout()
     {
         rasterbild = Bilder.holeBild("raster.png");

         JFrame frame = new JFrame();
         frame.setBounds(10,10,900,700);
         frame.getContentPane().add(this);
         frame.setVisible(true); 

         bauteile.add(new Widerstand());
         bauteile.add(new Widerstand());
         bauteile.add(new Widerstand());

         bauteile.add(new Bruecke());
         bauteile.add(new Bruecke());

         bauteile.get(0).setTranslation(8,1);         
         bauteile.get(0).setRotation(0); 

//Hierzu muss Interface gendert werden !!!:        
         bauteile.get(0).setBeschriftung("100");

         bauteile.get(1).setTranslation(16,1);         
         bauteile.get(1).setRotation(0);         

         bauteile.get(2).setTranslation(16,1);         
         bauteile.get(2).setRotation(1);         
         bauteile.get(2).setBeschriftung("2k2");

         bauteile.get(3).setTranslation(0,0);         
         bauteile.get(3).setRotation(0);         

         bauteile.get(4).setTranslation(0,0);         
         bauteile.get(4).setRotation(1);         


     }

     public void paint(Graphics g)
     {         
         if(rasterbild!=null)
         {
             g.drawImage(rasterbild,0,0,Color.WHITE,this); 
         }

         Graphics2D g2d = (Graphics2D)g;

         for(int i=0;i<bauteile.size();i++)
                 bauteile.get(i).zeichnen(g2d);

     }

     public static void main(String[] args)
     {
         Rasterlayout rasterlayout = new Rasterlayout();
     }
}