package bauteile;

import java.awt.Graphics2D;
import java.awt.Color;
import java.awt.BasicStroke;

import konstanten.Style;



public class Bruecke extends Bauteil implements BauteilInterface
{
    public void zeichnen(Graphics2D g2d)
    {
        setTransformation(g2d);

         g2d.setStroke(new BasicStroke(
                                       2.0f,                  // Liniendicke
                                       BasicStroke.CAP_ROUND, // Form des Linienendes
                                       BasicStroke.JOIN_ROUND // Verbindung von Polygonlinien
                                      )   
                      ); 

        zeichnePad(g2d, Color.BLACK, 0, 0);
        zeichnePad(g2d, Color.BLACK, 4, 0);
        
        zeichneLinie(g2d, Color.BLACK, 0, 0, 4, 0);

        unsetTransformation(g2d);
    }
}